OAuth App
Create OAuth App
Creates a new OAuth application for the specified provider
Authorization
x-calry-api-key x-calry-api-key<token>
In: header
Path Parameters
provider*string
Integration provider for the OAuth app
Value in
"AVANTIO" | "BOOKINGSYNC" | "BOOM" | "CIIRUS" | "ELINA" | "GUESTY" | "HOSTAWAY" | "HOSTFULLY" | "HOSTIFY" | "INTERHOME" | "LODGIFY" | "OWNERREZ" | "HOSTHUB" | "UPLISTING" | "BEDS24" | "HOST_TOOLS" | "HOSTFULLYSANDBOX" | "HOSPITABLE" | "TOKEET" | "MR_ALFRED"Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/oauth-app/AVANTIO" \ -H "Content-Type: application/json" \ -d '{ "name": "staging-hostfully-oauth-app", "client_id": "XXXXXXXXXX", "client_secret": "XXXXXXXXXX", "scopes": "read_listings write_listings read_bookings" }'Empty
{
"timestamp": "2025-03-05T11:45:49.631Z",
"path": "<URL_PATH>",
"message": "Authentication failed",
"details": []
}